For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
Webhooks

Client Authentication

POST
https://{yourserver}/webhooks/auth
POST
/webhooks/auth
$curl -X POST https://{yourserver}/webhooks/auth \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "method": "REGISTER",
> "realm": "mycompany.com",
> "username": "daveh",
> "expires": 3600,
> "nonce": "InFriVGWVoKeCckYrTx7wg==\"",
> "uri": "sip:mycompany.com",
> "response": "be641cf7951ff23ab04c57907d59f37d"
>}'
200Successful
1{
2 "status": "ok",
3 "message": "authentication granted",
4 "application_sid": "string",
5 "expires": 1.1,
6 "blacklist": 1.1
7}
This webhook is sent when a SIP client tries to authenticate, it is configured at the account level
Was this page helpful?
Previous

New Client Tool Request

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

provides details of the authentication request. The receiving server is responsible for authenticating the request as per [RFC 2617](https://tools.ietf.org/html/rfc2617)
methodstringRequired
sip request method
realmstringRequired
sip realm
usernamestringRequired
sip username provided
expiresdoubleRequired
expiration requested, in seconds
noncestringRequired
nonce value
uristringRequiredformat: "uri"
sip uri in request
responsestringRequired
digest value calculated by the client
schemestringOptional
encryption protocol
algorithmstringOptional
encryption algorithm used, default to MD5 if not provided
qopstringOptional
qop value
cnoncestringOptional
cnonce value
ncstringOptional
nc value

Response

Your callback should return this HTTP status code in all cases. if the request was authenticated and you wish to admit the client to the network, this is indicated by setting the 'status' attribute in the body to 'ok'
statusenum
indicates whether the request was successfully authenticated
Allowed values:
messagestring

a human-readable message

application_sidstringformat: "uuid"
sid of application to invoke when this device places a call
expiresdouble
The expires value to grant to the requesting user. If not provided, the expires value in the request is observed. If provided, must be less than the requested expires value.
blacklistdouble

If provided, represents a period in seconds during which the source IP address should be blacklisted by the platform (0 means forever).

provides details of the authentication request. The receiving server is responsible for authenticating the request as per RFC 2617